summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/proj/README3
-rw-r--r--system/proj/proj.SlackBuild74
-rw-r--r--system/proj/proj.info8
-rw-r--r--system/proj/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/system/proj/README b/system/proj/README
new file mode 100644
index 0000000000..373aeed2c4
--- /dev/null
+++ b/system/proj/README
@@ -0,0 +1,3 @@
+proj is a standard UNIX filter function which converts geographic
+longitude and latitude coordinates into cartesian coordinates by means
+of a wide variety of cartographic projection functions.
diff --git a/system/proj/proj.SlackBuild b/system/proj/proj.SlackBuild
new file mode 100644
index 0000000000..f040fa7e39
--- /dev/null
+++ b/system/proj/proj.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for proj
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+PRGNAM=proj
+VERSION=${VERSION:-4.6.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do \
+ ln -s $(readlink $i).gz $i.gz; \
+ rm $i; \
+ done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/proj/proj.info b/system/proj/proj.info
new file mode 100644
index 0000000000..5b1b716ab3
--- /dev/null
+++ b/system/proj/proj.info
@@ -0,0 +1,8 @@
+PRGNAM="proj"
+VERSION="4.6.0"
+HOMEPAGE="http://trac.osgeo.org/proj/"
+DOWNLOAD="http://download.osgeo.org/proj/proj-4.6.0.tar.gz"
+MD5SUM="975d9b5954869e53523726a9c0e0e070"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/system/proj/slack-desc b/system/proj/slack-desc
new file mode 100644
index 0000000000..eb4ec8283f
--- /dev/null
+++ b/system/proj/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+proj: proj (Cartograpic projection procedures)
+proj:
+proj: proj is a standard UNIX filter function which converts geographic
+proj: longitude and latitude coordinates into cartesian coordinates by
+proj: means of a wide variety of cartographic projection functions.
+proj:
+proj:
+proj:
+proj:
+proj:
+proj: